Ask coding questions

← Back to all posts
An error that I can't understand
Yoplayer1py (5)

I was adding speak function using pyttsx3 when I ran it I got this error:

Repl.it: Updating package configuration

--> python3 -m poetry install
Installing dependencies from lock file

[RecursionError]
maximum recursion depth exceeded
exit status 1


Repl.it: Package operation failed.



Repl.it: Updating package configuration

--> python3 -m poetry install
Installing dependencies from lock file

[RecursionError]
maximum recursion depth exceeded
exit status 1

Please help me because this is not a python error.

Thanks !!

Answered by CodeMaster007 (109) [earned 5 cycles]
View Answer
Comments
hotnewtop
CodeMaster007 (109)

Hey! There are a few solutions to solving this issue but it is depending on what is the issue.

If the issue is that the repl is not working, then fork your project or copy and paste it.

If you think that this file is not supported, then just don't do the project because it won't work.

And also, the main reason why its not working, is that you imported your file wrong. Its supposed to be like this..

pip3 install pyttsx3

Thanks,
CodeMaster007

Yoplayer1py (5)

@CodeMaster007 It worked but I got another error look's like we can't use TTS on replit. Error:

Exception in Tkinter callback
Traceback (most recent call last):
File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pyttsx3/init.py", line 20, in init
eng = _activeEngines[driverName]
File "/usr/lib/python3.8/weakref.py", line 131, in getitem
o = self.data[key]
KeyError: None

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.8/tkinter/init.py", line 1883, in call
return self.func(*args)
File "main.py", line 75, in load_pokemon
speak(pokemon_description)
File "main.py", line 37, in speak
engine = pyttsx3.init()
File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pyttsx3/init.py", line 22, in init
eng = Engine(driverName, debug)
File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pyttsx3/engine.py", line 30, in init
self.proxy = driver.DriverProxy(weakref.proxy(self), driverName, debug)
File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pyttsx3/driver.py", line 50, in init
self._module = importlib.import_module(name)
File "/usr/lib/python3.8/importlib/init.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
File "<frozen importlib._bootstrap>", line 991, in _find_and_load
File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 783, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pyttsx3/drivers/espeak.py", line 9, in <module>
from . import _espeak, toUtf8, fromUtf8
File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pyttsx3/drivers/_espeak.py", line 18, in <module>
dll = cdll.LoadLibrary('libespeak.so.1')
File "/usr/lib/python3.8/ctypes/init.py", line 451, in LoadLibrary
return self._dlltype(name)
File "/usr/lib/python3.8/ctypes/init.py", line 373, in init
self._handle = _dlopen(self._name, mode)
OSError: libespeak.so.1: cannot open shared object file: No such file or directory

CodeMaster007 (109)

Can you include the link to the code or something so its easier to see. Its hard to understand when its just written. @Yoplayer1py